## postgis 3.4.2+dfsg

=== debian/changelog ===
postgis (3.4.2+dfsg-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:37 +1100

postgis (3.4.2+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libgeos-c1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:56:41 +0000

postgis (3.4.2+dfsg-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable LTO on ppc64el to fix build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Feb 2024 09:23:41 +0100

postgis (3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Replace pkg-config build dependency with pkgconf.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Feb 2024 18:55:49 +0100

postgis (3.4.1+dfsg-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable LTO on ppc64el to fix build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Nov 2023 15:32:04 +0100

postgis (3.4.1+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Nov 2023 20:00:22 +0100

postgis (3.4.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop delaunaytriangles.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Nov 2023 14:49:29 +0100

postgis (3.4.0+dfsg-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable LTO on ppc64el to fix build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2023 13:00:07 +0100

postgis (3.4.0+dfsg-4) unstable; urgency=medium

  * Add patch to fix FTBFS due to test failure.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Nov 2023 16:04:29 +0100

postgis (3.4.0+dfsg-3) unstable; urgency=medium

  * Use graphicsmagick instead of imagemagick to fix FTBFS.
    (closes: #1054715)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Oct 2023 08:44:16 +0200

postgis (3.4.0+dfsg-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Sep 2023 11:22:54 +0200

postgis (3.4.0+dfsg-2~exp1) experimental; urgency=medium

  [ Christoph Berg ]
  * debian/pgversions: Bump to 12+.

  [ Bas Couwenberg ]
  * Update packaging for postgresql-16.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Sep 2023 18:43:08 +0200

postgis (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Aug 2023 06:15:31 +0200

postgis (3.4.0~rc4+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop distclean.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Aug 2023 05:32:53 +0200

postgis (3.4.0~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Use execute_before instead of override in rules file.
  * Drop tzdata build dependency, no longer required.
  * Add patch to fix distclean target.
    (closes: #1047320)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Aug 2023 09:47:30 +0200

postgis (3.4.0~rc2+dfsg-1~exp2) experimental; urgency=medium

  * Require tzdata >= 2023c-9 for UTC timezone.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Aug 2023 20:21:05 +0200

postgis (3.4.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Aug 2023 09:24:34 +0200

postgis (3.4.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Aug 2023 06:59:43 +0200

postgis (3.4.0~beta2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Drop patches applied upstream.
  * Don't remove postgis & postgis_restore, no longer undocumented.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Jul 2023 21:32:13 +0200

postgis (3.4.0~beta1+dfsg-1~exp7) experimental; urgency=medium

  * Replace install-upgrade-paths.patch with committed upstream changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Jul 2023 10:30:44 +0200

postgis (3.4.0~beta1+dfsg-1~exp6) experimental; urgency=medium

  * Add upstream patch to create installdirs before install-upgrade-paths.
    https://trac.osgeo.org/postgis/ticket/5444

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Jul 2023 09:40:04 +0200

postgis (3.4.0~beta1+dfsg-1~exp5) experimental; urgency=medium

  * Ignore test failure on i386.
    https://trac.osgeo.org/postgis/ticket/5448
  * Add patch to fix FTBFS on powerpc architectures.
    https://trac.osgeo.org/postgis/ticket/5450

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Jul 2023 08:54:59 +0200

postgis (3.4.0~beta1+dfsg-1~exp4) experimental; urgency=medium

  * Drop ${perl:Depends} from -scripts package,
    postgis_restore.pl no longer included.
  * Add graphicsmagick-imagemagick-compat to Build-Conflicts.
    https://trac.osgeo.org/postgis/ticket/5446

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Jul 2023 06:34:28 +0200

postgis (3.4.0~beta1+dfsg-1~exp3) experimental; urgency=medium

  * Add upstream patch to use xlstproc instead of xmllint to extract tags.
    https://trac.osgeo.org/postgis/ticket/5446

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Jul 2023 19:15:40 +0200

postgis (3.4.0~beta1+dfsg-1~exp2) experimental; urgency=medium

  * Add libxml2-utils to build dependencies for xmllint.
    https://trac.osgeo.org/postgis/ticket/5446

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Jul 2023 17:45:06 +0200

postgis (3.4.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Refresh patches.
  * Add patch to use DESTDIR for pg_sharedir.
    https://trac.osgeo.org/postgis/ticket/5444
  * Add patch to fix README.postgis installation failure.


=== debian/control ===
Source: postgis
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Stephen Frost <sfrost@debian.org>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Markus Wanner <markus@bluegap.ch>,
           Bas Couwenberg <sebastic@debian.org>,
           Christoph Berg <myon@debian.org>
Section: misc
Priority: optional
Build-Depends: bison,
               dctrl-tools,
               dblatex,
               debhelper-compat (= 13),
               docbook,
               docbook-xsl,
               dpkg-dev (>= 1.16.1~),
               flex,
               graphicsmagick-imagemagick-compat,
               libcunit1-dev,
               libgdal-dev (>= 1.11.2+dfsg-3~) | libgdal1-dev (>= 1.9.0~),
               libgeos-dev (>= 3.6),
               libjson-c-dev | libjson0-dev (>= 0.9~),
               libpcre2-dev,
               libproj-dev (>= 5.2.0),
               libprotobuf-c-dev,
               libsfcgal-dev (>= 1.3.1) [!armel !armhf],
               libxml2-dev (>= 2.5.0~),
               libxml2-utils,
               lsb-release,
               pkgconf,
               po-debconf,
               postgresql-all,
               postgresql-common (>= 148~),
               postgresql-server-dev-all,
               protobuf-c-compiler,
               rdfind,
               xsltproc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/postgis
Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git
Homepage: https://postgis.net/
Rules-Requires-Root: no

Package: postgis
Architecture: any
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-postgis,
            postgis-doc
Description: Geographic objects support for PostgreSQL
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS userland binaries for importing and
 exporting shape and raster files: pgsql2shp, raster2pgsql, and shp2pgsql.

Package: postgis-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: postgis
Description: Geographic objects support for PostgreSQL -- documentation
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS documentation.

Package: postgresql-16-postgis-3
Architecture: any
Depends: postgresql-16,
         postgresql-16-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Provides: postgresql-16-postgis
Description: Geographic objects support for PostgreSQL 16
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".

Package: postgresql-16-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: postgresql-16-postgis-3
Provides: postgresql-16-postgis-scripts
Description: Geographic objects support for PostgreSQL 16 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 16 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-postgis
Architecture: any
Section: metapackages
Depends: postgresql-postgis-scripts,
         postgresql-16-postgis-3,
         ${misc:Depends}
Description: Geographic objects support for PostgreSQL -- Metapackage
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This metapackage depends on the PostGIS package for PostgreSQL 16.

Package: postgresql-postgis-scripts
Architecture: all
Multi-Arch: foreign
Depends: postgresql-16-postgis-3-scripts,
         ${misc:Depends}
Description: Geographic objects support for PostgreSQL -- SQL scripts metapackage
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This metapackage depends on the PostGIS scripts package for
 PostgreSQL 16.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(DEB_HOST_ARCH), ppc64el)
	DEB_BUILD_MAINT_OPTIONS += optimize=-lto
endif

# Don't fail when d/control doesn't match template
export PG_UPDATECONTROL=yes

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/postgresql-common/pgxs_debian_control.mk

# Ignore testsuite failures on these architectures
IGNORE_TEST_FAILURE_ARCHS = i386 mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64
ifneq (,$(filter $(DEB_BUILD_ARCH),$(IGNORE_TEST_FAILURE_ARCHS)))
	TEST_FAIL_COMMAND = echo "Ignoring test failures"
else
	TEST_FAIL_COMMAND = exit 1
endif

# Upstream version (including ~rcN) for symbols version
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

MAJOR_VERSION = $(shell grep ^POSTGIS_MAJOR_VERSION Version.config | cut -d= -f2)
MINOR_VERSION = $(shell grep ^POSTGIS_MINOR_VERSION Version.config | cut -d= -f2)
MICRO_VERSION = $(shell grep ^POSTGIS_MICRO_VERSION Version.config | cut -d= -f2)
POSTGIS_VERSION = $(MAJOR_VERSION).$(MINOR_VERSION).$(MICRO_VERSION)
ifeq ($(POSTGIS_VERSION),..)
$(error Cannot detect Postgis version, fix debian/rules)
endif

# For the Postgres APT repository, we want to support multiple
# Postgres versions. However, docs and the JDBC jar only need to be
# built once - in the main directory.
NEWEST_POSTGRES_VERSION = $(shell pg_buildext supported-versions $(CURDIR) | tail -1)
ifeq ($(NEWEST_POSTGRES_VERSION),)
$(error Cannot detect Postgres version, check debian/pgversions and pg_buildext)
endif

OTHER_POSTGRES_VERSIONS = $(shell pg_buildext supported-versions $(CURDIR) \
	| grep -v "$(NEWEST_POSTGRES_VERSION)")

COMMON_CONFIGURE_ARGS = --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--exec-prefix=\$${prefix} \
	--docdir=\$${prefix}/share/doc \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--without-interrupt-tests \
	--without-phony-revision \
	--enable-lto

NJOBS := -j1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_clean: debian/control
#	Clean all separate build directories.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		rm -rf $(CURDIR)/debian/build-$$PGVER; \
	done)

	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) distclean || true
	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) -C doc images-clean || true

#	Cleanup after the Makefile
	rm -f postgis/postgis_upgrade_20_minor.sql.in \
		raster/rt_pg/rtpostgis_drop.sql \
		raster/rt_pg/rtpostgis_upgrade_cleanup.sql

#	Cleanup auto-generated packaging control files
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*.lintian-overrides
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.lintian-overrides
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.postinst
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.prerm
	rm -f loader/cunit/cu_tester
	rm -rf liblwgeom/cunit/.libs

override_dh_auto_configure:
#	Copy sources required to build extensions for all but the most
#	recent Postgres version. Unfortunately, Postgis doesn't support
#	vpath builds.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		mkdir $(CURDIR)/debian/build-$$PGVER; \
		for FILE in `ls $(CURDIR) | grep -v debian`; do \
			cp -a $$FILE $(CURDIR)/debian/build-$$PGVER; \
		done; \
	done)

#	PostGIS for the most recent PostgreSQL version
	@echo "### PostgreSQL $(NEWEST_POSTGRES_VERSION) configure ###"
	./configure $(COMMON_CONFIGURE_ARGS) \
		--datadir=\$${prefix}/share/postgresql-$(NEWEST_POSTGRES_VERSION)-postgis \
		--with-pgconfig=/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/pg_config

#	PostGIS for all older Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo "### PostgreSQL $$PGVER configure ###"; \
		cd $(CURDIR)/debian/build-$$PGVER; \
		./configure $(COMMON_CONFIGURE_ARGS) \
			--datadir=\$${prefix}/share/postgresql-$$PGVER-postgis \
			--with-pgconfig=/usr/lib/postgresql/$$PGVER/bin/pg_config; \
	done)

override_dh_auto_build:
#	Create debhelper files for each Postgres major version
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
		for SUFFIX in .install .lintian-overrides -scripts.install -scripts.lintian-overrides -scripts.postinst -scripts.prerm; do \
			cat $(CURDIR)/debian/postgresql-generic-postgis$$SUFFIX.in \
				| sed -e "s/@PGVERSION@/$$PGVER/g" \
				> $(CURDIR)/debian/postgresql-$$PGVER-postgis-$(MAJOR_VERSION)$$SUFFIX; \
		done \
	done)

#	Build against the newest Postgres version
	@echo "### PostgreSQL $(NEWEST_POSTGRES_VERSION) build ###"
	$(MAKE) $(NJOBS)
	$(MAKE) $(NJOBS) -C doc

#	Build against all other Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo "### PostgreSQL $$PGVER build ###"; \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER; \
	done)

#	Let PostGIS create a perl script from postgis_restore.pl.in
	$(MAKE) $(NJOBS) -C utils

#	Create a few SQL scripts that the Makefiles are not clever enough
#	to resolve, when building arch-indep only.
	$(MAKE) $(NJOBS) -C postgis postgis.sql postgis_upgrade.sql
	$(MAKE) $(NJOBS) -C raster/rt_pg rtpostgis.sql rtpostgis_upgrade.sql
	$(MAKE) $(NJOBS) -C topology topology.sql topology_upgrade.sql

#	This creates the required SQL scripts. Again, the Makefile is not
#	clever enough to run this before 'install'.
	$(MAKE) $(NJOBS) -C extensions

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	Run unit tests (against the newest Postgres version first)
	@echo "### PostgreSQL $(NEWEST_POSTGRES_VERSION) test ###"
	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
		make check RUNTESTFLAGS="-v" || $(TEST_FAIL_COMMAND)

#	Test against all other Postgres versions
	set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo "### PostgreSQL $$PGVER test ###"; \
		pg_virtualenv -v $$PGVER \
			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v" || $(TEST_FAIL_COMMAND); \
	done
endif

override_dh_auto_install:
#	Install the most recent Postgres version. Note that we used to
#	install only utils and extensions. However, there are sql scripts
#	in postgis, raster and topology as well, which need to be
#	installed for the -scripts package(s).
	@echo "### PostgreSQL $(NEWEST_POSTGRES_VERSION) install ###"
	$(MAKE) $(NJOBS) install DESTDIR=$(CURDIR)/debian/tmp

#	Install all older Postgres versions.
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo "### PostgreSQL $$PGVER install ###"; \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER \
			install DESTDIR=$(CURDIR)/debian/tmp; \
	done)

#	Remove unversioned and unused files from address standardizer
	rm -fv debian/tmp/usr/share/postgresql/*/extension/address_standardizer.sql
	rm -fv debian/tmp/usr/share/postgresql/*/extension/address_standardizer_data_us.sql

#	Move extension control files to version-specific names
#	(otherwise, the -script packages from different major versions would conflict)
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
		for control in $(CURDIR)/debian/tmp/usr/share/postgresql/$$PGVER/extension/*.control; do \
			mv $$control $${control%.control}-$(MAJOR_VERSION).control; \
		done \
	done)

#	Compile and install docs
	$(MAKE) -C doc docs-install man-install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PGSQL_DOCDIR=/usr/share/doc \
		PGSQL_MANDIR=/usr/share/man

#	De-duplicate upgrade scripts - using hard-links for exactly one

## postgis 3.4.3+dfsg

=== extensions/address_standardizer/Makefile ===
include ./../upgradeable_versions.mk
OBJS = \
    address_parser.o \
    address_standardizer.o \
    std_pg_hash.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    parseaddress-api.o \
    standard.o \
    tokenize.o

OBJS_test_main = \
    test_main.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    standard.o \
    tokenize.o

POSTGIS_PGSQL_VERSION=130
# SQL preprocessor
SQLPP = /usr/bin/cpp -traditional-cpp -w -P -Upixel -Ubool
GREP=/bin/grep
EXTVERSION = 3.4.3
MODULE_big = address_standardizer-3
MODULEPATH    = $$libdir/address_standardizer-3
ifeq (no,yes)
MODULE_big = address_standardizer-3.4
MODULEPATH    = $$libdir/address_standardizer-3.4
endif
EXTENSION = address_standardizer
EXTENSION_SCRIPTS = \
 		sql/address_standardizer_types.sql \
    sql/address_standardizer_functions.sql

DATA_built = \
	$(EXTENSION).control \
	$(EXTENSION)_data_us.control \
	$(NULL)

all:  sql/address_standardizer_pre.sql sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
 sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.4.3.sql sql/$(EXTENSION)_data_us--3.4.3.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql sql/$(EXTENSION)_data_us--ANY--$(EXTVERSION).sql \
sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql sql/test-debug_standardize_address.sql

DOCS = README.address_standardizer
PG_CPPFLAGS = -std=gnu99 -g -O2 -fno-math-errno -fno-signed-zeros -Wall  -I/var/lib/jenkins/workspace/geos/rel-3.10w64/include   -I/usr/include/libxml2 -I/usr/include -I/usr/include/json-c  -DNDEBUG  -DPCRE_VERSION=0

SHLIB_LINK =  -L/var/lib/jenkins/workspace/geos/rel-3.10w64/lib -lgeos_c -lproj -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL -lgmpxx -Wl,--exclude-libs,ALL  -lm 
EXTRA_CLEAN = sql/ usps-st-city-name.txt mk-st-regexp mk-city-regex test_main
REGRESS = test-init-extensions test-parseaddress test-standardize_address_1 test-standardize_address_2 test-debug_standardize_address

sql:
	mkdir -p $@

# Borrow the $libdir substitution from PGXS but customise by running the preprocessor
# and adding the version number
sql/%.sql: %.sql.in | sql
	$(SQLPP) -I@buiddir@/../libpgcommon $< > $@.tmp
	grep -v '^#' $@.tmp | \
	$(PERL) -lpe "s'MODULE_PATHNAME'\$(MODULEPATH)'g" > $@
	rm -f $@.tmp

%.control: %.control.in Makefile
	cat $< \
		| $(PERL) -lpe "s'@EXTVERSION@'$(EXTVERSION)'g" \
		> $@

sql/address_standardizer_pre.sql: $(EXTENSION_SCRIPTS) | sql
	cat $^ > $@

sql/address_standardizer--$(EXTVERSION).sql: sql/address_standardizer_pre.sql ../../utils/create_or_replace_to_create.pl | sql
	cat $< \
		| $(PERL) ../../utils/create_or_replace_to_create.pl sql/address_standardizer_pre.sql \
		> $@

sql/address_standardizer.sql: sql/address_standardizer_pre.sql ../../utils/create_or_replace_to_create.pl | sql
	cat $< \
		| $(PERL) ../../utils/create_or_replace_to_create.pl sql/address_standardizer_pre.sql \
		> $@

EXTENSION_UPGRADE_SCRIPTS = sql/address_standardizer_functions.sql

# upgrade logic for us data extension (to go to original round-robin yoyo cludge for dev upgrading)
sql/$(EXTENSION)--1.0--$(EXTVERSION).sql: sql/address_standardizer_functions.sql | sql
	cat $^ > $@

sql/$(EXTENSION)--$(EXTVERSION)next--$(EXTVERSION).sql: sql/address_standardizer_functions.sql | sql
	cat $^ > $@

# build us data extension
sql/$(EXTENSION)_data_us--$(EXTVERSION).sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in | sql
	cat $^ > $@

sql/$(EXTENSION)_data_us.sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in | sql
	cat $^ > $@

# upgrade logic for us data extension (to go to next cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql | sql
	cat $^ > $@

# upgrade logic for us data extension (to go to original round-robin yoyo cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql | sql
	cat $^ > $@


sql/$(EXTENSION)--ANY--$(EXTVERSION).sql: $(EXTENSION_UPGRADE_SCRIPTS)
	cat $(EXTENSION_UPGRADE_SCRIPTS) > $@

sql/$(EXTENSION)_data_us--ANY--$(EXTVERSION).sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql | sql
	cat $^ > $@

include ./../upgrade-paths-rules.mk

# TODO: fix this by moving data in their own directories
ifeq ($(EXTENSION_DATA_INSTALL),)
LANGUAGES = us
install-upgrade-paths: install-upgrade-paths-data
install-extension-upgrades-from-known-versions: install-extension-upgrades-from-known-versions-data
install-upgrade-paths-data install-extension-upgrades-from-known-versions-data:
	TARGET=`echo $@ | sed 's/-data$$//'`; \
	for lang in $(LANGUAGES); do \
		EXTENSION_DATA_INSTALL=1 \
		$(MAKE) $${TARGET} \
		EXTENSION=$(EXTENSION)_data_$${lang} \
		|| exit 1; \
	done
endif

mk-st-regexp: mk-st-regexp.pl
	$(PERL) -c mk-st-regexp.pl
	rm -f mk-st-regexp
	echo "#! " $(PERL) > mk-st-regexp
	cat mk-st-regexp.pl >> mk-st-regexp
	chmod ugo+x mk-st-regexp

mk-city-regex: mk-city-regex.pl usps-st-city-name.txt
	$(PERL) -c mk-city-regex.pl
	rm -f mk-city-regex
	echo "#! " $(PERL) > mk-city-regex
	cat mk-city-regex.pl >> mk-city-regex
	chmod ugo+x mk-city-regex

usps-st-city-name.txt: usps-st-city-orig.txt usps-st-city-adds.txt
	cat usps-st-city-orig.txt usps-st-city-adds.txt | sort -u >usps-st-city-name.txt

#parseaddress-stcities.h: mk-city-regex
#	./mk-city-regex > parseaddress-stcities.h

#parseaddress-regex.h: mk-st-regexp
#	./mk-st-regexp > parseaddress-regex.h

dist-clean:
	rm -f mk-st-regexp mk-city-regex usps-st-city-name.txt test_main Makefile


test_main: $(OBJS_test_main)
	gcc -o test_main $(OBJS_test_main) $(LDFLAGS) $(LIBS)

test_main.o: test_main.c pagc_api.h pagc_std_api.h

address_parser.o: address_parser.c parseaddress-api.h

address_standardizer.o: address_standardizer.c std_pg_hash.h pagc_api.h pagc_std_api.h

analyze.o: analyze.c pagc_api.h

err_param.o: err_param.c pagc_api.h

export.o: export.c pagc_api.h pagc_tools.h

gamma.o: gamma.c pagc_api.h pagc_std_api.h gamma.h

hash.o: hash.c hash.h khash.h

lexicon.o: lexicon.c pagc_api.h pagc_std_api.h

pagc_tools.o: pagc_tools.c pagc_tools.h pagc_common.h

parseaddress-api.o: parseaddress-api.c parseaddress-api.h parseaddress-stcities.h parseaddress-regex.h

standard.o: standard.c pagc_api.h

tokenize.o: tokenize.c pagc_api.h

std_pg_hash.o: std_pg_hash.c std_pg_hash.h pagc_api.h pagc_std_api.h

#only extension files
DATA_built += $(wildcard sql/*--*.sql)
EXTRA_CLEAN += $(wildcard expected/*--*.out)
EXTRA_CLEAN += *.a *.so *.dll

distclean: clean
	rm Makefile

PG_CONFIG := /var/lib/jenkins/workspace/pg/rel/pg13w64/bin/pg_config
PGXS := /var/lib/jenkins/workspace/pg/rel/pg13w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
include $(PGXS)
PERL = /usr/bin/perl
INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
ifneq (/bin/mkdir -p,)
	MKDIR_P = /bin/mkdir -p
endif

srcdir = .
top_srcdir = ../..
abs_topbuilddir=$(abspath $(top_builddir))

# Overriding top_builddir breaks the "installcheck"
# target from PGXS. TODO: integrate regression tests
# with the rest of the application
#top_builddir = ../..



INSTALLED_UPGRADE_SCRIPTS +=  \
	$(wildcard $(EXTDIR)/$(EXTENSION)_data_us--*--$(EXTVERSION).sql) \
	$(wildcard $(EXTDIR)/$(EXTENSION)_data_us--*--ANY.sql) \
	$(NULL)

install: all installdirs
	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(DATA)) $(DATA_built) '$(DESTDIR)$(datadir)/$(datamoduledir)/'
ifdef DOCS
ifdef docdir
	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(DOCS)) '$(DESTDIR)$(docdir)/$(docmoduledir)/'
endif # docdir
endif # DOCS
ifdef MODULE_big
ifeq ($(with_llvm), yes)
	$(call install_llvm_module,$(MODULE_big),$(OBJS))
endif # with_llvm
install: install-lib
endif # MODULE_big

=== debian/changelog ===
postgis (3.4.3+dfsg-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 11 Sep 2024 20:11:28 +0200

postgis (3.4.3+dfsg-2) unstable; urgency=medium

  * Drop support for 32-bit architectures.
  * Re-instate SFCGAL support, patched to support CGAL 6.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 20:11:28 +0200

postgis (3.4.3+dfsg-2~exp1) unstable; urgency=medium

  * Update packaging for postgresql-17.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 11:07:57 +0200

postgis (3.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Sep 2024 05:15:08 +0200

postgis (3.4.2+dfsg-2) unstable; urgency=medium

  * Drop SFCGAL support, it won't support CGAL 6 any time soon.
    https://gitlab.com/sfcgal/SFCGAL/-/issues/267

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Jun 2024 17:01:34 +0200

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
repacksuffix=+dfsg \
https://download.osgeo.org/postgis/source/ \
(?:.*/|)postgis[\-\._]?(3.4[\d\.]+(?:(?:RC|rc|pre|dev|beta|alpha|b|a)\d+)?)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## postgis 3.5.2+dfsg

=== extensions/address_standardizer/Makefile ===
--- 
+++ 
@@ -30,12 +30,12 @@
 # SQL preprocessor
 SQLPP = /usr/bin/cpp -traditional-cpp -w -P -Upixel -Ubool
 GREP=/bin/grep
-EXTVERSION = 3.4.3
+EXTVERSION = 3.5.2
 MODULE_big = address_standardizer-3
 MODULEPATH    = $$libdir/address_standardizer-3
 ifeq (no,yes)
-MODULE_big = address_standardizer-3.4
-MODULEPATH    = $$libdir/address_standardizer-3.4
+MODULE_big = address_standardizer-3.5
+MODULEPATH    = $$libdir/address_standardizer-3.5
 endif
 EXTENSION = address_standardizer
 EXTENSION_SCRIPTS = \
@@ -48,12 +48,12 @@
 	$(NULL)
 
 all:  sql/address_standardizer_pre.sql sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
- sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.4.3.sql sql/$(EXTENSION)_data_us--3.4.3.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
+ sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.5.2.sql sql/$(EXTENSION)_data_us--3.5.2.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
 sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql sql/$(EXTENSION)_data_us--ANY--$(EXTVERSION).sql \
 sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql sql/test-debug_standardize_address.sql
 
 DOCS = README.address_standardizer
-PG_CPPFLAGS = -std=gnu99 -g -O2 -fno-math-errno -fno-signed-zeros -Wall  -I/var/lib/jenkins/workspace/geos/rel-3.10w64/include   -I/usr/include/libxml2 -I/usr/include -I/usr/include/json-c  -DNDEBUG  -DPCRE_VERSION=0
+PG_CPPFLAGS = -std=gnu11 -g -O2 -fno-math-errno -fno-signed-zeros -Wall -O2  -I/var/lib/jenkins/workspace/geos/rel-3.10w64/include   -I/usr/include/libxml2 -I/usr/include -I/usr/include/json-c  -DNDEBUG  -DPCRE_VERSION=0
 
 SHLIB_LINK =  -L/var/lib/jenkins/workspace/geos/rel-3.10w64/lib -lgeos_c -lproj -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL -lgmpxx -Wl,--exclude-libs,ALL  -lm 
 EXTRA_CLEAN = sql/ usps-st-city-name.txt mk-st-regexp mk-city-regex test_main

=== debian/changelog ===
postgis (3.5.2+dfsg-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 19 Jan 2025 07:35:59 +0100

postgis (3.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Jan 2025 07:35:59 +0100

postgis (3.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Dec 2024 06:24:34 +0100

postgis (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Sep 2024 04:47:44 +0200

postgis (3.5.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop create_upgrade.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Sep 2024 05:39:32 +0200

postgis (3.5.0~beta1+dfsg-1~exp4) experimental; urgency=medium

  * Update create_upgrade.pl patch with upstream changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Sep 2024 17:07:24 +0200

postgis (3.5.0~beta1+dfsg-1~exp3) experimental; urgency=medium

  * Update create_upgrade.pl patch to revert 5aba8471.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Sep 2024 20:30:59 +0200

postgis (3.5.0~beta1+dfsg-1~exp2) experimental; urgency=medium

  * Add patch to fix FTBFS caused by create_upgrade.pl failing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Sep 2024 07:41:08 +0200

postgis (3.5.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Sep 2024 05:03:25 +0200

postgis (3.5.0~alpha2+dfsg-1~exp3) experimental; urgency=medium

  * Include changes from 3.4.3+dfsg-2.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 20:26:56 +0200

postgis (3.5.0~alpha2+dfsg-1~exp2) experimental; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Update packaging for postgresql-17.
  * Ignore test failures on all architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 11:54:34 +0200

postgis (3.5.0~alpha2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream alpha release.
  * Drop patches applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Jul 2024 17:43:33 +0200

postgis (3.5.0~alpha1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream alpha release.
  * Update copyright file.
  * Refresh patches.
  * Add patch to fix FTBFS due to test failures.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Jul 2024 06:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: postgis
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Stephen Frost <sfrost@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
            Markus Wanner <markus@bluegap.ch>,
@@ -8,7 +7,8 @@
            Christoph Berg <myon@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: bison,
+Build-Depends: architecture-is-64-bit <!pkg.postgresql.32-bit>,
+               bison,
                dctrl-tools,
                dblatex,
                debhelper-compat (= 13),
@@ -36,7 +36,7 @@
                protobuf-c-compiler,
                rdfind,
                xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/postgis
 Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git
 Homepage: https://postgis.net/
@@ -76,6 +76,70 @@
  .
  This package contains the PostGIS documentation.
 
+Package: postgresql-12-postgis-3
+Architecture: any
+Depends: postgresql-12,
+         postgresql-12-postgis-3-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Provides: postgresql-12-postgis
+Description: Geographic objects support for PostgreSQL 12
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+
+Package: postgresql-13-postgis-3
+Architecture: any
+Depends: postgresql-13,
+         postgresql-13-postgis-3-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Provides: postgresql-13-postgis
+Description: Geographic objects support for PostgreSQL 13
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+
+Package: postgresql-14-postgis-3
+Architecture: any
+Depends: postgresql-14,
+         postgresql-14-postgis-3-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Provides: postgresql-14-postgis
+Description: Geographic objects support for PostgreSQL 14
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+
+Package: postgresql-15-postgis-3
+Architecture: any
+Depends: postgresql-15,
+         postgresql-15-postgis-3-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Provides: postgresql-15-postgis
+Description: Geographic objects support for PostgreSQL 15
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+
 Package: postgresql-16-postgis-3
 Architecture: any
 Depends: postgresql-16,
@@ -91,6 +155,90 @@
  database for geographic information systems (GIS), much like ESRI's
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
+
+Package: postgresql-17-postgis-3
+Architecture: any
+Depends: postgresql-17,
+         postgresql-17-postgis-3-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Provides: postgresql-17-postgis
+Description: Geographic objects support for PostgreSQL 17
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+
+Package: postgresql-12-postgis-3-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: postgresql-12-postgis-3
+Provides: postgresql-12-postgis-scripts
+Description: Geographic objects support for PostgreSQL 12 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 12 database, and for upgrading from earlier PostGIS versions.
+
+Package: postgresql-13-postgis-3-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: postgresql-13-postgis-3
+Provides: postgresql-13-postgis-scripts
+Description: Geographic objects support for PostgreSQL 13 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 13 database, and for upgrading from earlier PostGIS versions.
+
+Package: postgresql-14-postgis-3-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: postgresql-14-postgis-3
+Provides: postgresql-14-postgis-scripts
+Description: Geographic objects support for PostgreSQL 14 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 14 database, and for upgrading from earlier PostGIS versions.
+
+Package: postgresql-15-postgis-3-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: postgresql-15-postgis-3
+Provides: postgresql-15-postgis-scripts
+Description: Geographic objects support for PostgreSQL 15 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 15 database, and for upgrading from earlier PostGIS versions.
 
 Package: postgresql-16-postgis-3-scripts
 Architecture: all
@@ -109,34 +257,30 @@
  This package contains the SQL scripts for installing PostGIS in a PostgreSQL
  16 database, and for upgrading from earlier PostGIS versions.
 
+Package: postgresql-17-postgis-3-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: postgresql-17-postgis-3
+Provides: postgresql-17-postgis-scripts
+Description: Geographic objects support for PostgreSQL 17 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 17 database, and for upgrading from earlier PostGIS versions.
+
 Package: postgresql-postgis
 Architecture: any
 Section: metapackages
 Depends: postgresql-postgis-scripts,
-         postgresql-16-postgis-3,
+         postgresql-17-postgis-3,
          ${misc:Depends}
 Description: Geographic objects support for PostgreSQL -- Metapackage
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
- database for geographic information systems (GIS), much like ESRI's
- SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
- "Simple Features Specification for SQL".
- .
- This metapackage depends on the PostGIS package for PostgreSQL 16.
-
-Package: postgresql-postgis-scripts
-Architecture: all
-Multi-Arch: foreign
-Depends: postgresql-16-postgis-3-scripts,
-         ${misc:Depends}
-Description: Geographic objects support for PostgreSQL -- SQL scripts metapackage
- PostGIS adds support for geographic objects to the PostgreSQL
- object-relational database. In effect, PostGIS "spatially enables"
- the PostgreSQL server, allowing it to be used as a backend spatial
- database for geographic information systems (GIS), much like ESRI's
- SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
- "Simple Features Specification for SQL".
- .
- This metapackage depends on the PostGIS scripts package for
- PostgreSQL 16.

## postgis 3.5.3%2Bdfsg

=== topology/ER/Makefile ===

topology.png: topology.fig
	fig2dev -L png $< $@

clean:
	rm topology.png

=== debian/changelog ===
postgis (3.5.3+dfsg-2build1) questing; urgency=medium

  * Rebuild against new sfcgal 2.2.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Sep 2025 17:47:55 +0200

postgis (3.5.3+dfsg-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with GEOS 3.14.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Aug 2025 12:12:46 +0200

postgis (3.5.3+dfsg-1) unstable; urgency=medium

  * Add patch to fix FTBFS with SFCGAL 2.2.0.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Aug 2025 18:56:16 +0200

postgis (3.5.3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 May 2025 06:25:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,6 @@
 
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-ifeq ($(DEB_HOST_ARCH), ppc64el)
-	DEB_BUILD_MAINT_OPTIONS += optimize=-lto
-endif
 
 # Don't fail when d/control doesn't match template
 export PG_UPDATECONTROL=yes
@@ -214,3 +210,5 @@
 		PGSQL_MANDIR=/usr/share/man
 
 #	De-duplicate upgrade scripts - using hard-links for exactly one
+#	directory (so we don't generate cross-directory hard ones).
+	(set -e; \

## postgis 3.5.3+dfsg

=== extensions/address_standardizer/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # SQL preprocessor
 SQLPP = /usr/bin/cpp -traditional-cpp -w -P -Upixel -Ubool
 GREP=/bin/grep
-EXTVERSION = 3.5.2
+EXTVERSION = 3.5.3
 MODULE_big = address_standardizer-3
 MODULEPATH    = $$libdir/address_standardizer-3
 ifeq (no,yes)
@@ -48,7 +48,7 @@
 	$(NULL)
 
 all:  sql/address_standardizer_pre.sql sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
- sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.5.2.sql sql/$(EXTENSION)_data_us--3.5.2.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
+ sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.5.3.sql sql/$(EXTENSION)_data_us--3.5.3.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
 sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql sql/$(EXTENSION)_data_us--ANY--$(EXTVERSION).sql \
 sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql sql/test-debug_standardize_address.sql
